Bug 1470997 - oc edit should fall back to EDITOR if OC_EDITOR is not specified
oc edit should fall back to EDITOR if OC_EDITOR is not specified
Status: CLOSED NOTABUG
Product: OpenShift Container Platform
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
3.6.0
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Juan Vallejo
Xingxing Xia
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-14 04:51 EDT by Marko Myllynen
Modified: 2017-08-28 06:22 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-24 13:11:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marko Myllynen 2017-07-14 04:51:04 EDT
Description of problem:
EDITOR is widely used to specify an alternative editor to be used with various commands, it would be nice if oc edit could fall back to EDITOR in case OC_EDITOR has not been specified.
Comment 1 Juan Vallejo 2017-08-24 13:11:45 EDT
Right now, it is the case that we fall back to the EDITOR environment variable if OC_EDITOR is not set [1]

1. https://github.com/openshift/origin/blob/master/pkg/cmd/util/clientcmd/factory_client_access.go#L385

Closing this as NOTABUG, but feel free to re-open if I have missed something about this.
Comment 2 Marko Myllynen 2017-08-28 06:22:56 EDT
(In reply to Juan Vallejo from comment #1)
> Right now, it is the case that we fall back to the EDITOR environment
> variable if OC_EDITOR is not set [1]
> 
> 1.
> https://github.com/openshift/origin/blob/master/pkg/cmd/util/clientcmd/
> factory_client_access.go#L385
> 
> Closing this as NOTABUG, but feel free to re-open if I have missed something
> about this.

Correct, I think it was me who missed something while testing, this looks exactly what I hoped for. Thanks!

Note You need to log in before you can comment on or make changes to this bug.